Subject: request for module build/install help

From: Matt Wette <[email-masked]>
Date: Wed, 01 Jul 2015 17:50:07 -0700

Hi Folks,

I have developed a set of guile modules.   I'd like to be able to generate a package hosted on, say, github.com (or any other recommended site).   Is there a document providing guidance for this task?   For example, looking at "%load-path" in guile I'm guessing I want the code to be installed in .../share/guile/2.0/site or .../share/guile/site.  Is the "site-dir" available as a variable?

Once installed, I'm guessing I can just use guild to compile and that will install the .go files in the right place (e.g.,  .../lib/guile/ccache/2.0).

Matt